local harbour = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    harbour:logError("harbour: game version anterior to 1.6")
    return
end
harbour:msgBox("harbour: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
harbour:dofile("scripts/common.lua")

_NoSandbox = difficultyLevel(harbour, "harbour")

-- check all the dependencies
if not checkVersion(harbour, "harbour", "Window Decorations V2", "5d101a02-896b-4493-8fb9-29e6c9bf0684", "2.1.8") then
    return
end

-- Monuments
harbour:dofile("scripts/monument.lua")
